# Retrieve active tax seasons for a vat profile id for a specific range of dates

Fetch a list of tax seasons for a specific vat profile by its unique identifier. The tax seasons will be active for the start and end dates provided.

Endpoint: GET /api/v3/vatProfiles/{vatProfileId}/taxSeasons
Version: 3.0.18
Security: OAuth2

## Path parameters:

  - `vatProfileId` (integer, required)
    The id of the vat profile for which to retrieve the tax seasons

## Query parameters:

  - `startDate` (string, required)
    The inclusive start date for filtering tax seasons

  - `endDate` (string, required)
    The inclusive end date for filtering tax seasons

## Response 200 fields (application/json):

  - `id` (integer)

  - `taxSeasons` (array)

  - `taxSeasons.id` (integer)

  - `taxSeasons.startDate` (string)

  - `taxSeasons.endDate` (string)

  - `taxSeasons.taxCodeLow` (object)

  - `taxSeasons.taxCodeLow.id` (integer)
    The unique identifier of the tax code
    Example: 1

  - `taxSeasons.taxCodeLow.name` (string, required)
    Name of the tax code

  - `taxSeasons.taxCodeHigh` (object)

  - `taxSeasons.boundaryDay` (integer)

  - `taxSeasons.hasTaxBoundary` (boolean)


